### Class

# Meta WaylandClient

#### Description [src]

    final class Meta.WaylandClient : GObject.Object
    {
      /* No available fields */
    }

A class that allows to launch a trusted client and detect if an specific Wayland window belongs to it.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### meta_wayland_client_new_subprocess

Creates a new `MetaWaylandClient`. The `GSubprocesslauncher` and array of arguments are used to launch a new process with the binary specified in the first element of argv, and with the rest of elements as parameters. It also sets up a new Wayland socket and sets the environment variable WAYLAND_SOCKET to make the new process to use it.

#### Instance methods

###### meta_wayland_client_get_pid

No description available.

###### meta_wayland_client_get_subprocess

Get the `GSubprocess` which was created by meta_wayland_client_new_subprocess.

###### meta_wayland_client_owns_window

Checks whether `window` belongs to the process launched from `client` or not. This only works under Wayland. If the window is an X11 window, an exception will be triggered.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.WaylandClient::client-destroyed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWaylandClientClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.